Archive::Peek(3pm)

NAME
Archive::Peek - Peek into archives without extracting them

SYNOPSIS
  use Archive::Peek;
  my $peek = Archive::Peek->new( filename => 'archive.tgz' );
  my @files = $peek->files();
  my $contents = $peek->file('README.txt')

DESCRIPTION
This module lets you peek into archives without extracting them. It currently supports tar files and zip files. To support Bzip2- compressed files, you should install IO::Uncompress::Bunzip2.

METHODS

  new
The constructor takes the filename of the archive to peek into:

  my $peek = Archive::Peek->new( filename => 'archive.tgz' );

  files
Returns the files in the archive:

  my @files = $peek->files();

  file
Returns the contents of a file in the archive:

  my $contents = $peek->file('README.txt')

AUTHOR
Leon Brocard <acme@astray.com>

COPYRIGHT
Copyright (C) 2008, Leon Brocard.

LICENSE
This module is free software; you can redistribute it or modify it under the same terms as Perl itself.